| LicenseSpring Management .Net SDK 1.15.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.ICustomerService Interface Reference

CustomerService interface. More...

Inheritance diagram for LicenseSpring.ICustomerService:

## Public Member Functions
void | AddLabelToCustomer (uint labelId, ulong customerId)
| Adds a label to customer.
Customer | CreateCustomer (CreateCustomerDto dto)
| Creates a new customer.
CustomerAccount | CreateCustomerAccount (CustomerAccount account)
| Creates a customer account if requesting manager has access permissions to it.
CustomerLabel | CreateCustomerLabel (CustomerLabel label)
| Creates a customer label.
string | DeleteCustomer (ulong customerId)
| Deletes the customer.
void | DeleteCustomerAccount (CustomerAccount account)
| Deletes a customer account.
void | DeleteCustomerLabel (CustomerLabel label)
| Deletes a customer label.
Customer | EditCustomer (Customer customer)
| Updates information about a customer.
CustomerAccount | EditCustomerAccount (CustomerAccount account)
| Updates a customer account if requesting manager has access permissions to it.
CustomerLabel | EditCustomerLabel (CustomerLabel label)
| Updates information about a customer label.
CustomerAccount[] | ListCustomerAccounts (BaseListDto dto, out uint count)
| Shows all customer accounts the requesting manager has access permissions to.
CustomerLabel[] | ListCustomerLabels (BaseListDto dto, out uint count)
| Returns all customer labels.
Customer[] | ListCustomers (ListCustomersRequestDto dto, out uint count)
| Returns all customers.
string | MergeCustomers (ulong customerId, ulong customerToMergeId)
| Merges once customer into another if requesting manager has access permissions to it.
void | RemoveLabelFromCustomer (CustomerLabel label)
| Removes a label from customer.
Public Member Functions inherited from LicenseSpring.IService
void | Initialize (ManagementConfiguration configuration)
| Initialize management service with given configuration.
bool | IsInitialized ()
| Check whether management service has been initialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the LicenseSpring platform.

## Detailed Description

CustomerService interface.

## Member Function Documentation

## ◆ AddLabelToCustomer()

void LicenseSpring.ICustomerService.AddLabelToCustomer | ( | uint | labelId,
|  | ulong | customerId
| ) |  |

Adds a label to customer.

Parameters

  labelId | Id of the label to add.
  customerId | Id of the customer to be updated.

Implemented in LicenseSpring.CustomerService.

## ◆ CreateCustomer()

Customer LicenseSpring.ICustomerService.CreateCustomer | ( | CreateCustomerDto | dto | ) |

Creates a new customer.

Parameters

  dto | Customer dto with information about new customer.

Implemented in LicenseSpring.CustomerService.

## ◆ CreateCustomerAccount()

CustomerAccount LicenseSpring.ICustomerService.CreateCustomerAccount | ( | CustomerAccount | account | ) |

Creates a customer account if requesting manager has access permissions to it.

Parameters

  account | Customer account to create. The Code field is required and must be unique.

Implemented in LicenseSpring.CustomerService.

## ◆ CreateCustomerLabel()

CustomerLabel LicenseSpring.ICustomerService.CreateCustomerLabel | ( | CustomerLabel | label | ) |

Creates a customer label.

Parameters

  label | Label to create.

Implemented in LicenseSpring.CustomerService.

## ◆ DeleteCustomer()

string LicenseSpring.ICustomerService.DeleteCustomer | ( | ulong | customerId | ) |

Deletes the customer.

Parameters

  customerId | The Id of the customer that will be deleted.

Implemented in LicenseSpring.CustomerService.

## ◆ DeleteCustomerAccount()

void LicenseSpring.ICustomerService.DeleteCustomerAccount | ( | CustomerAccount | account | ) |

Deletes a customer account.

Parameters

  account | Customer account to delete. The Id field must be set.

Implemented in LicenseSpring.CustomerService.

## ◆ DeleteCustomerLabel()

void LicenseSpring.ICustomerService.DeleteCustomerLabel | ( | CustomerLabel | label | ) |

Deletes a customer label.

Parameters

  label | Label to delete.

Implemented in LicenseSpring.CustomerService.

## ◆ EditCustomer()

Customer LicenseSpring.ICustomerService.EditCustomer | ( | Customer | customer | ) |

Updates information about a customer.

Parameters

  customer | Customer that was updated.

Implemented in LicenseSpring.CustomerService.

## ◆ EditCustomerAccount()

CustomerAccount LicenseSpring.ICustomerService.EditCustomerAccount | ( | CustomerAccount | account | ) |

Updates a customer account if requesting manager has access permissions to it.

Parameters

  account | Customer account with updated fields. The Id field must be set; if the Code field is set, it must be unique.

Implemented in LicenseSpring.CustomerService.

## ◆ EditCustomerLabel()

CustomerLabel LicenseSpring.ICustomerService.EditCustomerLabel | ( | CustomerLabel | label | ) |

Updates information about a customer label.

Parameters

  label | Label that was updated.

Implemented in LicenseSpring.CustomerService.

## ◆ ListCustomerAccounts()

CustomerAccount[] LicenseSpring.ICustomerService.ListCustomerAccounts | ( | BaseListDto | dto,
|  | out uint | count
| ) |  |

Shows all customer accounts the requesting manager has access permissions to.

Parameters

  dto | Data transfer object that is used for searching through all customer accounts.
  count | Quantity of customers, use for iteration of the result pages.

Implemented in LicenseSpring.CustomerService.

## ◆ ListCustomerLabels()

CustomerLabel[] LicenseSpring.ICustomerService.ListCustomerLabels | ( | BaseListDto | dto,
|  | out uint | count
| ) |  |

Returns all customer labels.

Parameters

  dto | Data transfer object that is used for searching through all customer labels.
  count | Quantity of customers, use for iteration of the result pages.

Implemented in LicenseSpring.CustomerService.

## ◆ ListCustomers()

Customer[] LicenseSpring.ICustomerService.ListCustomers | ( | ListCustomersRequestDto | dto,
|  | out uint | count
| ) |  |

Returns all customers.

Parameters

  dto | Data transfer object that is used for searching through all customers.
  count | Quantity of customers, use for iteration of the result pages.

Implemented in LicenseSpring.CustomerService.

## ◆ MergeCustomers()

string LicenseSpring.ICustomerService.MergeCustomers | ( | ulong | customerId,
|  | ulong | customerToMergeId
| ) |  |

Merges once customer into another if requesting manager has access permissions to it.

Updates customer on all orders from the customer to merge to the customer provided in the first parameter and deletes the customer to merge.

Parameters

  customerId | The Id of the customer that will be merged and saved.
  customerToMergeId | The Id of the customer that will be merged and deleted.

Implemented in LicenseSpring.CustomerService.

## ◆ RemoveLabelFromCustomer()

void LicenseSpring.ICustomerService.RemoveLabelFromCustomer | ( | CustomerLabel | label | ) |

Removes a label from customer.

Parameters

  label | Label to be removed.

Implemented in LicenseSpring.CustomerService.

The documentation for this interface was generated from the following file:

- ICustomerService.cs